#!/bin/bash

rm -fr assets/builds

find civ -name ".git" | while read REPO
do
    git -C $(basename "$REPO") pull
done

find civ -name "*.ub.ron" | while read MAP
do
    OUT=$(basename "$MAP" | sed -En 's/([0-9a-f]+)-([0-9a-f]+.*)/\1\/\2/p')
    OUTDIR=$(dirname "assets/builds/$OUT")
    OUTFILE=$(basename "$OUT")
    mkdir -p "$OUTDIR"
    cp "$MAP" "$OUTDIR"/"$OUTFILE"
done

./rust-cave

